import java.util.*;

public class Sample {  
  public static List<Person> createPeople() {
    return List.of(
	    new Person("Sara", 20),
	    new Person("Sara", 22),
	    new Person("Bob", 20),
	    new Person("Paula", 32),
	    new Person("Paul", 32),
	    new Person("Jack", 2),
	    new Person("Jack", 72),
	    new Person("Jill", 12)
	  );
  }

  public static void main(String[] args) {
    //find the names, in uppercase, of those who are older than 30
    
    List<String> selected = new ArrayList<>();
    
    for(Person person: createPeople()) {
      if(person.getAge() > 30) {
        selected.add(person.getName().toUpperCase()); 
        //may be break if needed
      }
    }  
    
    System.out.println(selected);
  }
}